unit ShowError;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ImgList, StdCtrls, ComCtrls, ExtCtrls;

type
  TFrmShowError = class(TForm)
    Panel1: TPanel;
    ImageList1: TImageList;
    Image1: TImage;
    LblTitle: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    ProgressBar1: TProgressBar;
    Bevel1: TBevel;
    Memo1: TMemo;
    LblDetail: TLabel;
    Label1: TLabel;
    procedure Button3Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    OnlineTyp: Byte;
    { Public declarations }
  end;

var
  FrmShowError: TFrmShowError;

implementation

uses PXStuff, FMOnline, TDOnline, Main;

{$R *.DFM}

procedure TFrmShowError.Button3Click(Sender: TObject);
begin
  Memo1.Height:=183;
  if Memo1.Visible=false then Button3.Caption:='ΟκΟΈΠΕΟ’(&D)>>' else Button3.Caption:='<<ΟκΟΈΠΕΟ’(&D)';
  Memo1.Visible:=not Memo1.Visible;
end;

procedure TFrmShowError.FormShow(Sender: TObject);
begin
   memo1.Lines.Clear;
   memo1.Lines.LoadFromFile(sProtocolFile);
  // memo1.Lines.clo
  // Fileclose
end;

procedure TFrmShowError.Button1Click(Sender: TObject);
begin
  //OnlineThread.Terminate;
  close;
end;

end.
